Subject: Re: [PATCH v2 0/2] builtin add -p: fix hunk splitting

From: Junio C Hamano <[email-masked]>
Date: Wed, 12 Jan 2022 10:34:40 -0800

"Phillip Wood via GitGitGadget" <[email-masked]> writes:

> Thanks to Junio and Ævar for their comments on V1. I've updated the commit
> message and added a helper function as suggested.
>
> V1 Cover Letter: Fix a small regression in the hunk splitting of the builtin
> version compared to the perl version. Thanks to Szeder for the easy to
> follow bug report.

Looking good.  After comparing the output from 

    $ git grep -e 'finalize[_a-z]*(' -e 'complete[_a-z]*(' \*.c

I would have called the helper "finalize_file()", but in the context
of this file, the name complete_file() is not misleading enough to
require renaming.

Will queue.  Thanks.